com.amazonaws.services.codedeploy.model

## Class ListOnPremisesInstancesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListOnPremisesInstancesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListOnPremisesInstancesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list on-premises instances operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListOnPremisesInstancesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListOnPremisesInstancesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` An identifier returned from the previous list on-premises instances call.
`String` `getRegistrationStatus()` The registration status of the on-premises instances:
`List<TagFilter>` `getTagFilters()` The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` An identifier returned from the previous list on-premises instances call.
`void` `setRegistrationStatus(RegistrationStatus registrationStatus)` The registration status of the on-premises instances:
`void` `setRegistrationStatus(String registrationStatus)` The registration status of the on-premises instances:
`void` `setTagFilters(Collection<TagFilter> tagFilters)` The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListOnPremisesInstancesRequest` `withNextToken(String nextToken)` An identifier returned from the previous list on-premises instances call.
`ListOnPremisesInstancesRequest` `withRegistrationStatus(RegistrationStatus registrationStatus)` The registration status of the on-premises instances:
`ListOnPremisesInstancesRequest` `withRegistrationStatus(String registrationStatus)` The registration status of the on-premises instances:
`ListOnPremisesInstancesRequest` `withTagFilters(Collection<TagFilter> tagFilters)` The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.
`ListOnPremisesInstancesRequest` `withTagFilters(TagFilter... tagFilters)` The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListOnPremisesInstancesRequest

    public ListOnPremisesInstancesRequest()

### Method Detail

#### setRegistrationStatus

    public void setRegistrationStatus(String registrationStatus)

The registration status of the on-premises instances:

- Deregistered: Include deregistered on-premises instances in the resulting list.

- Registered: Include registered on-premises instances in the resulting list.

Parameters:
  `registrationStatus` - The registration status of the on-premises instances:

  - Deregistered: Include deregistered on-premises instances in the resulting list.

  - Registered: Include registered on-premises instances in the resulting list.

See Also:
  `RegistrationStatus`

#### getRegistrationStatus

    public String getRegistrationStatus()

The registration status of the on-premises instances:

- Deregistered: Include deregistered on-premises instances in the resulting list.

- Registered: Include registered on-premises instances in the resulting list.

Returns:
  The registration status of the on-premises instances:

  - Deregistered: Include deregistered on-premises instances in the resulting list.

  - Registered: Include registered on-premises instances in the resulting list.

See Also:
  `RegistrationStatus`

#### withRegistrationStatus

    public ListOnPremisesInstancesRequest withRegistrationStatus(String registrationStatus)

The registration status of the on-premises instances:

- Deregistered: Include deregistered on-premises instances in the resulting list.

- Registered: Include registered on-premises instances in the resulting list.

Parameters:
  `registrationStatus` - The registration status of the on-premises instances:

  - Deregistered: Include deregistered on-premises instances in the resulting list.

  - Registered: Include registered on-premises instances in the resulting list.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setRegistrationStatus

    public void setRegistrationStatus(RegistrationStatus registrationStatus)

The registration status of the on-premises instances:

- Deregistered: Include deregistered on-premises instances in the resulting list.

- Registered: Include registered on-premises instances in the resulting list.

Parameters:
  `registrationStatus` - The registration status of the on-premises instances:

  - Deregistered: Include deregistered on-premises instances in the resulting list.

  - Registered: Include registered on-premises instances in the resulting list.

See Also:
  `RegistrationStatus`

#### withRegistrationStatus

    public ListOnPremisesInstancesRequest withRegistrationStatus(RegistrationStatus registrationStatus)

The registration status of the on-premises instances:

- Deregistered: Include deregistered on-premises instances in the resulting list.

- Registered: Include registered on-premises instances in the resulting list.

Parameters:
  `registrationStatus` - The registration status of the on-premises instances:

  - Deregistered: Include deregistered on-premises instances in the resulting list.

  - Registered: Include registered on-premises instances in the resulting list.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### getTagFilters

    public List<TagFilter> getTagFilters()

The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

Returns:
  The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

#### setTagFilters

    public void setTagFilters(Collection<TagFilter> tagFilters)

The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

Parameters:
  `tagFilters` - The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

#### withTagFilters

    public ListOnPremisesInstancesRequest withTagFilters(TagFilter... tagFilters)

The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

NOTE: This method appends the values to the existing list (if any). Use `setTagFilters(java.util.Collection)` or `withTagFilters(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagFilters` - The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagFilters

    public ListOnPremisesInstancesRequest withTagFilters(Collection<TagFilter> tagFilters)

The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.

Parameters:
  `tagFilters` - The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.

Returns:
  An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.

#### withNextToken

    public ListOnPremisesInstancesRequest withNextToken(String nextToken)

An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListOnPremisesInstancesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`